## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.constraints
Class SQLConstraintsBlock

    java.lang.Object
      org.eclipse.ui.forms.MasterDetailsBlock
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.constraints.SQLConstraintsBlock

Direct Known Subclasses:
  ASASQLConstraintsBlock

    public abstract class SQLConstraintsBlock

extends org.eclipse.ui.forms.MasterDetailsBlock

The constraints block of the "Constraints" page in table schema editor.
To use this block the subclasses need to implement `registerPages` to register details page for various selection on the constraint tree.

Author:
  Idull

Nested Class Summary
`class` `SQLConstraintsBlock.ConstraintsSection` The master section

Constructor Summary
`SQLConstraintsBlock(SchemaObjectEditorPage page, BaseTable table)`
`SQLConstraintsBlock(SchemaObjectEditorPage page, BaseTable table, org.eclipse.jface.action.MenuManager menuMgr)`

Method Summary
`org.eclipse.ui.forms.DetailsPart` `getDetailsPart()` Returns the details part
`org.eclipse.jface.viewers.ITableLabelProvider` `getLabelProvider()` Subclass can override this method to use customized LabelProvider.
`org.eclipse.jface.viewers.TreeViewer` `getViewer()` Returns the viewer in the master part
`void` `refresh(BaseTable table)`

Methods inherited from class org.eclipse.ui.forms.MasterDetailsBlock
`createContent, createContent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLConstraintsBlock

    public SQLConstraintsBlock(SchemaObjectEditorPage page,
                               BaseTable table)

### SQLConstraintsBlock

    public SQLConstraintsBlock(SchemaObjectEditorPage page,
                               BaseTable table,
                               org.eclipse.jface.action.MenuManager menuMgr)

Method Detail

### getViewer

    public org.eclipse.jface.viewers.TreeViewer getViewer()

  Returns the viewer in the master part

  Returns:

### getDetailsPart

    public org.eclipse.ui.forms.DetailsPart getDetailsPart()

  Returns the details part

  Returns:

### getLabelProvider

    public org.eclipse.jface.viewers.ITableLabelProvider getLabelProvider()

  Subclass can override this method to use customized LabelProvider.

  Returns:

### refresh

    public void refresh(BaseTable table)